Package org.bukkit.boss

# Interface KeyedBossBar

All Superinterfaces:
  `BossBar`, `net.kyori.adventure.key.Keyed`, `Keyed`

public interface KeyedBossBar extends BossBar, Keyed
Represents a custom `BossBar` that has a `NamespacedKey`

## Method Summary

### Methods inherited from interface org.bukkit.boss.BossBar

`addFlag, addPlayer, getColor, getPlayers, getProgress, getStyle, getTitle, hasFlag, hide, isVisible, removeAll, removeFlag, removePlayer, setColor, setProgress, setStyle, setTitle, setVisible, show`

### Methods inherited from interface org.bukkit.Keyed

`getKey, key`